// <auto-generated>
//  automatically generated by the FlatBuffers compiler, do not modify
// </auto-generated>

namespace Veneris.Communications
{

using global::System;
using global::System.Collections.Generic;
using global::FlatBuffers;

public struct RemoveDynamicMeshGroup : IFlatbufferObject
{
  private Table __p;
  public ByteBuffer ByteBuffer { get { return __p.bb; } }
  public static void ValidateVersion() { FlatBufferConstants.FLATBUFFERS_2_0_0(); }
  public static RemoveDynamicMeshGroup GetRootAsRemoveDynamicMeshGroup(ByteBuffer _bb) { return GetRootAsRemoveDynamicMeshGroup(_bb, new RemoveDynamicMeshGroup()); }
  public static RemoveDynamicMeshGroup GetRootAsRemoveDynamicMeshGroup(ByteBuffer _bb, RemoveDynamicMeshGroup obj) { return (obj.__assign(_bb.GetInt(_bb.Position) + _bb.Position, _bb)); }
  public void __init(int _i, ByteBuffer _bb) { __p = new Table(_i, _bb); }
  public RemoveDynamicMeshGroup __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public int Id { get { int o = __p.__offset(4); return o != 0 ? __p.bb.GetInt(o + __p.bb_pos) : (int)0; } }

  public static Offset<Veneris.Communications.RemoveDynamicMeshGroup> CreateRemoveDynamicMeshGroup(FlatBufferBuilder builder,
      int id = 0) {
    builder.StartTable(1);
    RemoveDynamicMeshGroup.AddId(builder, id);
    return RemoveDynamicMeshGroup.EndRemoveDynamicMeshGroup(builder);
  }

  public static void StartRemoveDynamicMeshGroup(FlatBufferBuilder builder) { builder.StartTable(1); }
  public static void AddId(FlatBufferBuilder builder, int id) { builder.AddInt(0, id, 0); }
  public static Offset<Veneris.Communications.RemoveDynamicMeshGroup> EndRemoveDynamicMeshGroup(FlatBufferBuilder builder) {
    int o = builder.EndTable();
    return new Offset<Veneris.Communications.RemoveDynamicMeshGroup>(o);
  }
  public static void FinishRemoveDynamicMeshGroupBuffer(FlatBufferBuilder builder, Offset<Veneris.Communications.RemoveDynamicMeshGroup> offset) { builder.Finish(offset.Value); }
  public static void FinishSizePrefixedRemoveDynamicMeshGroupBuffer(FlatBufferBuilder builder, Offset<Veneris.Communications.RemoveDynamicMeshGroup> offset) { builder.FinishSizePrefixed(offset.Value); }
};


}
